### Method

# Gimp Config deserialize_string

#### Declaration [src]

    gboolean
    gimp_config_deserialize_string (
      GimpConfig* config,
      const gchar* text,
      gint text_len,
      gpointer data,
      GError** error
    )

#### Description [src]

Configures `config` from `text`. Basically this function creates a properly configured `GScanner` for you and calls the deserialize function of the `config`‘s `GimpConfigInterface`.

Available since: | 2.4

#### Parameters

`text` | An array of `gchar`
| String to deserialize (in UTF-8 encoding)
| The length of the array is specified in the `text_len` argument.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`text_len` | `gint`
| Length of `text` in bytes or -1
`data` | `gpointer`
| Client data.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if deserialization succeeded, `FALSE` otherwise.